Bug 585349 - The emacs mode shipped with Erlang R13B04 is missing necessary files
Summary: The emacs mode shipped with Erlang R13B04 is missing necessary files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang (Show other bugs)
(Show other bugs)
Version: 12
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 18:48 UTC by Darren LaChausse
Modified: 2010-05-12 17:57 UTC (History)
4 users (show)

Fixed In Version: erlang-R13B-04.10.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 17:53:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Darren LaChausse 2010-04-23 18:48:22 UTC
Description of problem:
If you are using the Erlang emacs-mode, some files are missing in the installed system of R13B04.  Upstream has acknowledged this packaging problem.

Version-Release number of selected component (if applicable): R13B04


How reproducible:
Always

Steps to Reproduce:
1. Install erlang
2. Configure erlang emacs-mode as described in the erlang docs
3. Load erlang-mode in emacs -> Missing load files
  
Actual results:
Using emacs erlang-mode results in missing load files

Expected results:
emacs erlang-mode loads without any load files errors

Additional info:
This problem has been acknowledged upstream with a patch that is linked to from their download page.

Download Page -> http://www.erlang.org/download.html
Patches Directory containing missing emacs-mode files -> http://www.erlang.org/download/patches

Comment 1 Peter Lemenkov 2010-04-24 12:18:14 UTC
Thanks, for your report, Darren. We are working on it (see rhbz #491165).

*** This bug has been marked as a duplicate of bug 491165 ***

Comment 2 Zach 2010-04-27 21:04:46 UTC
This bug is actually different.

Previously, you could edit your .emacs file as shown here http://www1.erlang.org/doc/apps/tools/erlang_mode_chapter.html#id2261119 with slight modifications for different directories and the files included with the erlang package. Now this does not work.

The difference between the two reports is in step 2 of this report. This report refers to self configuration which use to work (w/ the directions above). This was broken two updates ago and remains broken in an update that I recieved this afternoon.

Comment 3 Peter Lemenkov 2010-04-28 08:26:30 UTC
(In reply to comment #2)
> This bug is actually different.

Oh, sorry - I'm reopening this ticket.

> Previously, you could edit your .emacs file as shown here
> http://www1.erlang.org/doc/apps/tools/erlang_mode_chapter.html#id2261119 with
> slight modifications for different directories and the files included with the
> erlang package. Now this does not work.
> 
> The difference between the two reports is in step 2 of this report. This report
> refers to self configuration which use to work (w/ the directions above). This
> was broken two updates ago and remains broken in an update that I recieved this
> afternoon.    

I'll try to find out what was changed recently, which could cause this issue.

Comment 4 Peter Lemenkov 2010-04-28 08:53:08 UTC
Ok, I just found what's wrong, and fixed - will be resolved in R13B-04.9 (I plan to build it in a couple of days).

Comment 5 Fedora Update System 2010-04-29 10:26:06 UTC
erlang-R13B-04.9.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/erlang-R13B-04.9.fc13

Comment 6 Fedora Update System 2010-04-29 10:26:19 UTC
erlang-R13B-04.9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-R13B-04.9.fc12

Comment 7 Fedora Update System 2010-04-30 17:08:50 UTC
erlang-R13B-04.9.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-R13B-04.9.fc13

Comment 8 Fedora Update System 2010-04-30 17:13:39 UTC
erlang-R13B-04.9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-R13B-04.9.fc12

Comment 9 Fedora Update System 2010-05-06 09:59:56 UTC
erlang-R13B-04.10.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-R13B-04.10.fc12

Comment 10 Fedora Update System 2010-05-06 10:00:10 UTC
erlang-R13B-04.10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/erlang-R13B-04.10.fc13

Comment 11 Fedora Update System 2010-05-07 03:52:07 UTC
erlang-R13B-04.10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-R13B-04.10.fc12

Comment 12 Fedora Update System 2010-05-07 04:03:34 UTC
erlang-R13B-04.10.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-R13B-04.10.fc13

Comment 13 Fedora Update System 2010-05-12 17:53:40 UTC
erlang-R13B-04.10.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-12 17:57:09 UTC
erlang-R13B-04.10.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.